- python:
    imports:
    - IPython
    python_version:
    - 3.11.*
    - 3.13.*
- script:
    content: |-
      ipython --version
      ipython3 --version
      ipython --help
      pygmentize -L | grep ipython
  requirements:
    run:
    - python 3.11.*
- script:
    content: |-
      mypy -p IPython
      python run_test.py
    cwd: etc/conda/test-files/ipython/2
  requirements:
    run:
    - python 3.11.*
    - mypy
    - types-decorator
    - coverage
    - black
    - curio
    - matplotlib-base !=3.2.0
    - nbformat
    - numpy >=1.23
    - pandas
    - pickleshare
    - pygments
    - pytest
    - pytest-asyncio <0.22
    - testpath
    - trio
  files:
    source:
    - tests/
    - pyproject.toml
    recipe:
    - run_test.py
